Bug 311520

Summary: Media player screen is blank if the music file doesn't have metadata (like ID3 tags)
Product: plasma-mediacenter Reporter: Shantanu Tushar <shantanu>
Component: MediaPlayerAssignee: Shantanu Tushar <shantanu>
Status: RESOLVED FIXED    
Severity: minor    
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: unspecified   
OS: Linux   
Latest Commit: Version Fixed In:

Description Shantanu Tushar 2012-12-11 13:46:25 UTC
If I play a song and it doesn't have metadata like ID3 tags associated with it, I see nothing. It should atleast show me the filename in that case.

Reproducible: Always

Steps to Reproduce:
1. Goto a music mode
2. Play a music which doesn't have metadata like ID3 tags
Actual Results:  
Blank screen with only CD icon

Expected Results:  
CD icon with filename
Comment 1 Shantanu Tushar 2012-12-13 15:44:01 UTC
Git commit c8c1f4eb7ba3a10eef4cd0044c508713ac7923e4 by Shantanu Tushar.
Committed on 13/12/2012 at 16:43.
Pushed by shantanu into branch 'master'.

Show the filename if metadata not available for a song.

M  +2    -2    mediaelements/mediaplayer/MusicStats.qml

http://commits.kde.org/plasma-mediacenter/c8c1f4eb7ba3a10eef4cd0044c508713ac7923e4